Product comparison · 2 wired routers

TP-Link TD-W9970B wired router Fast Ethernet White vs Zyxel P-660ME V2

Add a product
  • 14specifications compared
  • 4differ
  • 10identical
  • 51known for one product only

Key differences

The TP-Link TD-W9970B wired router Fast Ethernet White has 3 more Ethernet LAN (RJ-45) ports than the Zyxel P-660ME V2 (4 vs 1). Networking standards: IEEE 802.11b, IEEE 802.11g, IEEE 802.11n on the TP-Link TD-W9970B wired router Fast Ethernet White, IEEE 802.1D on the Zyxel P-660ME V2. Certification: CE, RoHS on the TP-Link TD-W9970B wired router Fast Ethernet White, FCC, CE on the Zyxel P-660ME V2. Product colour: White on the TP-Link TD-W9970B wired router Fast Ethernet White, Black on the Zyxel P-660ME V2.

  • Ethernet LAN (RJ-45) ports
    • TD-W9970B wired router Fast Ethernet White:4
    • P-660ME V2:1
  • Certification
    • TD-W9970B wired router Fast Ethernet White:CE, RoHS
    • P-660ME V2:FCC, CE
  • Product colour
    • TD-W9970B wired router Fast Ethernet White:White
    • P-660ME V2:Black

Side by side

Differences highlightedShow differences only (on)
Comparison of TD-W9970B, P-660ME V2
65 specifications
Network1 differ
Networking standardsDiffersIEEE 802.11b, IEEE 802.11g, IEEE 802.11nIEEE 802.1D
Ethernet interface typeKnown for oneFast EthernetUnknown — not stated by the source
Cabling technologyKnown for one10/100Base-T(X)Unknown — not stated by the source
Ethernet LAN data ratesKnown for one10,100 Mbit/sUnknown — not stated by the source
Frequency rangeKnown for one2.4Unknown — not stated by the source
Signal strengthKnown for one20 dBmUnknown — not stated by the source
Number of usersKnown for oneUnknown — not stated by the source1 user(s)
DSL featuresidentical
VDSL2Known for oneYesUnknown — not stated by the source
ADSL2+Known for oneUnknown — not stated by the sourceYes
Management featuresidentical
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Universal Plug and Play (UPnP)Known for oneYesUnknown — not stated by the source
Reset buttonKnown for oneYesUnknown — not stated by the source
Ports & interfaces1 differ
Ethernet LAN (RJ-45) portsDiffers41
USB ports quantityKnown for one1Unknown — not stated by the source
USB versionKnown for one2.0Unknown — not stated by the source
DC-in jackKnown for oneUnknown — not stated by the sourceYes
Protocolsidentical
DMZ supportKnown for oneYesUnknown — not stated by the source
Management protocolsKnown for oneHTTP, SNMP V1/V2C, CWMP(TR-069)Unknown — not stated by the source
Supported protocolsKnown for oneATM Forum UNI3.1/4.0 PPP over ATM (RFC 2364) PPP over Ethernet (RFC2516) IPoA (RFC1577/2225) PVCUnknown — not stated by the source
Supported network protocolsKnown for oneUnknown — not stated by the sourceTCP/UDP, ICMP , IGMP
Securityidentical
Security algorithmsKnown for one64-bit WEP, 128-bit WEP, WPA, WPA-PSK, WPA2, WPA2-PSKUnknown — not stated by the source
Firewall securityKnown for oneNetwork address translation (NAT) firewall, Stateful packet inspection (SPI) firewallUnknown — not stated by the source
MAC address filteringKnown for oneYesUnknown — not stated by the source
URL filteringKnown for oneYesUnknown — not stated by the source
IP address filteringKnown for oneYesUnknown — not stated by the source
Network address translation (NAT)Known for oneYesUnknown — not stated by the source
Guest accessKnown for oneYesUnknown — not stated by the source
VPN tunnels quantityKnown for one10Unknown — not stated by the source
VPN supportKnown for onePPTP, L2TP, IPSec Pass-throughUnknown — not stated by the source
DoS attack preventionKnown for oneUnknown — not stated by the sourceYes
Packaging contentidentical
AC adapter includedKnown for oneYesUnknown — not stated by the source
Cables includedKnown for oneLAN (RJ-45), Phone (RJ-11)Unknown — not stated by the source
Quick installation guideKnown for oneYesUnknown — not stated by the source
Features1 differ
Windows operating systems supportedKnown for oneWindows 10 Education, Windows 10 Education x64, Windows 10 Enterprise, Windows 10 Enterprise x64, Windows 10 Home, Windows 10 Home x64, Windows 10 IOT Core, Windows 10 Pro, Windows 10 Pro x64, Windows 7 Enterprise, Windows 7 Enterprise x64, Windows 7 Home Basic, Windows 7 Home Basic x64, Windows 7 HUnknown — not stated by the source
Mac operating systems supportedKnown for oneYesUnknown — not stated by the source
Linux operating systems supportedKnown for oneYesUnknown — not stated by the source
CertificationDiffersCE, RoHSFCC, CE
Design1 differ
Product colourDiffersWhiteBlack
Rack mountingKnown for oneUnknown — not stated by the sourceNo
LED indicatorsKnown for oneUnknown — not stated by the sourceDSL, LAN, Power
Antennaidentical
Antenna typeKnown for oneExternalUnknown — not stated by the source
Antenna gain level (max)Known for one5 dBiUnknown — not stated by the source
Antennas quantityKnown for one2Unknown — not stated by the source
Poweridentical
Power source typeKnown for oneDCUnknown — not stated by the source
Output voltageKnown for one12 VUnknown — not stated by the source
Output currentKnown for one1 AUnknown — not stated by the source
Operational conditionsidentical
Operating temperature (T-T)Known for one0 - 40 °CUnknown — not stated by the source
Storage temperature (T-T)Known for one-40 - 70 °CUnknown — not stated by the source
Operating relative humidity (H-H)Known for one10 - 90%Unknown — not stated by the source
Storage relative humidity (H-H)Known for one5 - 90%Unknown — not stated by the source
Weight & dimensionsidentical
WidthKnown for one195 mmUnknown — not stated by the source
DepthKnown for one130 mmUnknown — not stated by the source
HeightKnown for one36 mmUnknown — not stated by the source
Other featuresidentical
Supported WAN typeKnown for oneEWANUnknown — not stated by the source
Wireless LAN featuresidentical
Dual-bandKnown for oneUnknown — not stated by the sourceNo

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wired router comparisons

All wired router comparisons